package com.diagbot.facade;

import com.diagbot.dto.ImgVerCreatDTO;
import com.diagbot.entity.ImgVerInfo;
import com.diagbot.enums.VisibleIdTypeEnum;
import com.diagbot.idc.VisibleIdCreater;
import com.diagbot.service.ImgVerService;
import com.diagbot.service.SmsVerService;
import com.diagbot.vo.ImgVerCreatVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 用户验证业务层
 * @author: gaodm
 * @time: 2018/9/4 19:31
 */
@Component
public class VerFacade {
    @Autowired
    private ImgVerService imgVerService;
    @Autowired
    private SmsVerService smsVerService;

    /**
     * 获取用户图片验证信息
     * @return
     */
    public ImgVerCreatDTO getImgVerification(){
        ImgVerCreatDTO imgVerCreatDTO = new ImgVerCreatDTO();
        VisibleIdCreater visibleIdCreater = new VisibleIdCreater(1,1);
        String imgId = visibleIdCreater.getNextId(VisibleIdTypeEnum.IS_IMG_VER.getKey()).toString();
        ImgVerInfo imgVerInfo = new ImgVerInfo();
        imgVerInfo.setImgId(imgId);
        byte[] res = imgVerService.createImgVerification(imgVerInfo);
        imgVerCreatDTO.setImgId(imgId);
        imgVerCreatDTO.setImgByte(res);
        return imgVerCreatDTO;
    }


}
