package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.VerFacade;
import com.diagbot.vo.ImgVerCreatVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 用户验证API
 * @author: gaodm
 * @time: 2018/9/4 19:30
 */
@RestController
@RequestMapping("/userver")
public class VerController {
    @Autowired
    private VerFacade verFacade;

    @ApiOperation(value = "获取图片验证码", notes = "获取图片验证码包括包括系统验证用的ID和图片信息")
    @GetMapping("/getImgVerification")
    @SysLogger("getImgVerification")
    public RespDTO getImgVerification(){
        return   RespDTO.onSuc(verFacade.getImgVerification());
    }
}
